Babber
Posts: 3
Joined: Thu Jul 05, 2018 11:14 am

How to install qtwebengine5-dev?

Thu Jul 05, 2018 11:42 am

Dear all,
I have just dist-upgraded my RPi 2b to the latest version

Code: Select all

Linux raspberrypi 4.14.50-v7+ #1122 SMP Tue Jun 19 12:26:26 BST 2018 armv7l GNU/Linux
Now I would need to install qtwebengine5-dev, but

Code: Select all

E: Unable to locate package qtwebengine5-dev
qtwebengine5-doc is there in the repository, but qtwebengine5-dev isn't.
Will it be included soon, or is there any other way to install this? By adding a new repository?..
Many thanks for your help in advance.

fruitoftheloom
Posts: 16750
Joined: Tue Mar 25, 2014 12:40 pm

Re: How to install qtwebengine5-dev?

Thu Jul 05, 2018 3:51 pm

Babber wrote:
Thu Jul 05, 2018 11:42 am
Dear all,
I have just dist-upgraded my RPi 2b to the latest version

Code: Select all

Linux raspberrypi 4.14.50-v7+ #1122 SMP Tue Jun 19 12:26:26 BST 2018 armv7l GNU/Linux
Now I would need to install qtwebengine5-dev, but

Code: Select all

E: Unable to locate package qtwebengine5-dev
qtwebengine5-doc is there in the repository, but qtwebengine5-dev isn't.
Will it be included soon, or is there any other way to install this? By adding a new repository?..
Many thanks for your help in advance.

It should be in the Raspbian Stretch with Desktop Operating System

https://packages.debian.org/stretch/qtwebengine5-dev

Code: Select all

sudo apt update
sudo apt install qtwebengine5-dev
Adieu

DirkS
Posts: 8097
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: How to install qtwebengine5-dev?

Thu Jul 05, 2018 4:13 pm

fruitoftheloom wrote:
Thu Jul 05, 2018 3:51 pm
It should be in the Raspbian Stretch with Desktop Operating System

https://packages.debian.org/stretch/qtwebengine5-dev

Code: Select all

sudo apt update
sudo apt install qtwebengine5-dev
Apparently not in Raspbian:

Code: Select all

[email protected] $ apt-cache policy qtwebengine5-dev
N: Unable to locate package qtwebengine5-dev

fruitoftheloom
Posts: 16750
Joined: Tue Mar 25, 2014 12:40 pm

Re: How to install qtwebengine5-dev?

Thu Jul 05, 2018 4:40 pm

DirkS wrote:
Thu Jul 05, 2018 4:13 pm
fruitoftheloom wrote:
Thu Jul 05, 2018 3:51 pm
It should be in the Raspbian Stretch with Desktop Operating System

https://packages.debian.org/stretch/qtwebengine5-dev

Code: Select all

sudo apt update
sudo apt install qtwebengine5-dev
Apparently not in Raspbian:

Code: Select all

[email protected] $ apt-cache policy qtwebengine5-dev
N: Unable to locate package qtwebengine5-dev
You are Running Raspbian Stretch ??
Adieu

DirkS
Posts: 8097
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: How to install qtwebengine5-dev?

Thu Jul 05, 2018 5:10 pm

fruitoftheloom wrote:
Thu Jul 05, 2018 4:40 pm
You are Running Raspbian Stretch ??
yes. And I also checked in the repo.

Babber
Posts: 3
Joined: Thu Jul 05, 2018 11:14 am

Re: How to install qtwebengine5-dev?

Fri Jul 06, 2018 6:25 am

fruitoftheloom wrote:
Thu Jul 05, 2018 4:40 pm
You are Running Raspbian Stretch ??
I haven't mentioned it earlier, but I am also running Raspbian Stretch, and of course I tried

Code: Select all

sudo apt update
sudo apt install qtwebengine5-dev
but the package is not there.

Return to “Graphics programming”

Who is online

Users browsing this forum: No registered users and 2 guests